apiVersion: submariner.io/v1
kind: GlobalIngressIP
metadata:
  creationTimestamp: "2024-12-12T00:25:28Z"
  generation: 1
  labels:
    submariner-io/originatingNamespace: openshift-storage
  managedFields:
  - apiVersion: submariner.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:labels:
          .: {}
          f:submariner-io/originatingNamespace: {}
      f:spec:
        .: {}
        f:serviceRef: {}
        f:target: {}
    manager: submariner-globalnet
    operation: Update
    time: "2024-12-12T00:25:28Z"
  - apiVersion: submariner.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:allocatedIP: {}
        f:conditions: {}
    manager: submariner-globalnet
    operation: Update
    subresource: status
    time: "2024-12-12T00:25:28Z"
  name: rook-ceph-osd-1
  namespace: openshift-storage
  resourceVersion: "10774518"
  uid: bd8f4eab-1b2b-4c43-a12a-3d901e2ed3a3
spec:
  serviceRef:
    name: rook-ceph-osd-1
  target: ClusterIPService
status:
  allocatedIP: 242.1.255.251
  conditions:
  - lastTransitionTime: "2024-12-12T00:25:28Z"
    message: Allocated global IP
    reason: Success
    status: "True"
    type: Allocated
